using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 考试关联知识
    /// </summary>
    [Description("考试关联知识")]
    public class ExamQuestionKnowladgeBak:ExamBusinessEntity
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 知识Id
        /// </summary>
        [SugarColumn(ColumnDescription ="知识Id")]
        [Description("知识Id")]
        public string KnowladgeId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(ColumnDescription = "标题")]
        [Description("标题")]
        public string Title { get; set; }

        /// <summary>
        /// 练习习题Id
        /// </summary>
        [SugarColumn(ColumnDescription = "练习习题Id")]
        [Description("练习习题Id")]

        public string ExamQuestionId { get; set; }
    }
}
